<?php
//getting data off the form
//
//notice that we are now checking the data type of $price and $discount.
//Notice also that $price is FLOAT, and $discount is INT.
//Be sure you understand the difference.

$description = filter_input(INPUT_POST,'product_description');
$price = filter_input(INPUT_POST, 'list_price',FILTER_VALIDATE_FLOAT);
$discount = filter_input(INPUT_POST, 'discount_percent',FILTER_VALIDATE_INT);

//validating data
if (empty($description))
{
    $error_message = "Product description is a required field.";
    include("index.php");
    exit();
}

// ADD EXTRA VALIDATION HERE

//performing the calculations
$discount_amount = $discount * .01 * $price;
$discount_price = $price - $discount_amount;
//now the formatted versions
$formatted_price = '$'.number_format($price,2);
$formatted_discount = $discount . '%';
$formatted_discount_amount = '$'.number_format($discount_amount,2);
$formatted_discount_price = '$'.number_format($discount_price,2);

//Sales tax
$sales_tax_rate = 8;
$formatted_sales_tax_rate = $sales_tax_rate . '%';
$sales_tax_amount = $discount_price * $sales_tax_rate * .01;
$formatted_sales_tax_amount = '$'.number_format($sales_tax_amount,2);
?>
<!DOCTYPE html>
<html>
<head>
    <title>Product Discount Calculator</title>
    <link rel="stylesheet" type="text/css" href="main.css">
</head>
<body>
    <main>
        <h1>Product Discount Calculator</h1>

        <label>Product Description:</label>
        <span><?php echo $description; ?></span><br>

        <label>List Price:</label>
        <span><?php echo $formatted_price; ?></span><br>

        <label>Standard Discount:</label>
        <span><?php echo $formatted_discount; ?></span><br>

        <label>Discount Amount:</label>
        <span><?php echo $formatted_discount_amount; ?></span><br>

        <label>Discount Price:</label>
        <span><?php echo $formatted_discount_price; ?></span><br>
        <p></p>
        <label>Sales Tax Rate:</label>
        <span><?php echo $formatted_sales_tax_rate; ?></span><br>
        <label>Sales Tax Amount:</label>
        <span><?php echo $formatted_sales_tax_amount; ?></span><br>
    </main>
</body>
</html>